TRACKVERIFY(1)

NAME
trackverify - verifies the data content of tracks

SYNOPSIS
trackverify [OPTIONS] <track 1> [track 2] ...

DESCRIPTION

trackverify takes one or more audio tracks, verifies their files for correctness, and displays its results to standard output. If directories are given, they are searched recursively for any supported audio files and verified if found.

OPTIONS

-h, --help
    show a list of options and exit

-t, --type=TYPE
    An audio format to restrict searching to. If given, only files of the given audio types will be verified. May be used multiple times. For a list of available audio formats, try: -t help

-S, --no-summary
    do not display summary information when verification is complete

-R, --accuraterip
    verify tracks against those of AccurateRip database

--cue=FILENAME
    cuesheet to use when verifying CD image against AccurateRip database

-j, --joint=PROCESSES
    The maximum number of tracks to verify at one time. If one has multiple CPUs or CPU cores, allowing trackverify(1) to use all of them simultaneously can increase verification speed. However, the maximum speed is likely to be limited by I/O-bound rather than CPU-bound.

-V, --verbose=VERBOSITY
    The level of output to display. Choose between 'normal', 'quiet' and 'debug'.

VERIFICATION
All audio formats do not carry an equal measure of error protection. What Python Audio Tools is capable to detecting depends on the audio format. For example, FLAC files have their frame checksums verified, in addition to the file's MD5 hash. Files packed in Ogg containers have their Ogg page checksums verified. However, for formats such as Wave, there is no standard way to verify that its data content is correct; we can only ensure that its blocks of data are the correct size.

ACCURATERIP
Verifying lossless tracks against AccurateRip's online database is a way of ensuring one's rips are identical to rips performed by other people. The confidence level is the number of other people who have the same rip, so a larger value indicates one's own rip is consistent with those of others. However, not finding one's rip in the AccurateRip database does not necessarily mean the rip is bad; the CD may be new, rare, or a different pressing than the one in the database.

EXAMPLES

Check all FLAC files in the current directory:

    trackverify *.flac

Check only MP3 files found in the directory audio/

    trackverify -t mp3 audio/

SEE ALSO
audiotools-config(1), audiotools.cfg(5), cdda2track(1), cddainfo(1), cddaplay(1), coverdump(1), covertag(1), coverview(1), dvda2track(1), dvdainfo(1), track2cdda(1), track2track(1), trackcat(1), trackcmp(1), trackinfo(1), tracklength(1), tracklint(1), trackplay(1), trackrename(1), tracksplit(1), tracktag(1)

AUTHOR
Brian Langenberger